package com.totopia.server.modules.site.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "bank_info")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class BankInfoEntity extends DateAuditEntity {
  @Id
  @GeneratedValue(generator = "bank_info_generator")
  @SequenceGenerator(name = "bank_info_generator", sequenceName = "bank_info_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "name", nullable = false, length = 100)
  private String name;

  @Basic
  @Column(name = "number", nullable = false, length = 100)
  private String number;

  @Basic
  @Column(name = "holder", nullable = false, length = 100)
  private String holder;

  @Basic
  @Column(name = "description", nullable = false, length = 200)
  private String description;

}
