package com.totopia.server.modules.user.payload;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserUpdateRequest {
    @NotBlank
    @Size(min = 4, max = 40)
    private String username;

    @NotBlank
    @Size(min = 3, max = 15)
    private String nickname;

    private String email;

    @Size(min = 6, max = 20)
    private String password;

    @Size(min = 6, max = 200)
    private String descriptions;

    @NotBlank
    @Size(min = 6, max = 20)
    private String phone;
}
